Name: cdb
Version: 0.75
Release: 2
Group: File/Utilities
License: Check with djb@koobera.math.uic.edu
URL: http://cr.yp.to/cdb.html
Packager: Blair Lowe <comedownhere@compeng.net>
Patch0: cdb.diff
Source0: http://cr.yp.to/cdb/cdb-0.75.tar.gz
Summary: constant database (cdb) utilities
Provides: cdbget
Provides: cdbmake
Provides: cdbdump
Provides: cdbstats
Provides: cdbtest
Provides: cdbmake-12
Provides: cdbmake-sv
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
cdb is a fast, reliable, simple package for creating and reading constant databases. Its database structure provides several features:

    * Fast lookups: A successful lookup in a large database normally takes just two disk accesses. An unsuccessful lookup takes only one.
    * Low overhead: A database uses 2048 bytes, plus 24 bytes per record, plus the space for keys and data.
    * No random limits: cdb can handle any database up to 4 gigabytes. There are no other restrictions; records don't even have to fit into memory. Databases are stored in a machine-independent format.
    * Fast atomic database replacement: cdbmake can rewrite an entire database two orders of magnitude faster than other hashing packages.
    * Fast database dumps: cdbdump prints the contents of a database in cdbmake-compatible format. 

cdb is designed to be used in mission-critical applications like e-mail. Database replacement is safe against system crashes. Readers don't have to pause during a rewrite.

%prep
%setup
%patch0 -p0

%build
# default is /usr/local, but Blair uses CentOS conventions (and buildroot prefix for rpmbuild)
echo "/usr

This is the cdb home directory. Programs will be installed in .../bin."  > conf-home
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 cdbdump cdbget cdbmake cdbstats cdbtest cdbmake-12 cdbmake-sv $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/cdb-%{version}
install -m 644 CHANGES  FILES  README  SYSDEPS  TARGETS  TODO  VERSION $RPM_BUILD_ROOT/usr/share/doc/cdb-%{version}


%clean
# if buildroot is not "/" then remove it to clean up before install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# Pre/Post-install Scripts #####################################################
%pre

%preun

# Files List ###################################################################
%files
%attr(-,root,root) /usr/bin/*
%doc CHANGES  FILES  README  SYSDEPS  TARGETS  TODO  VERSION

%changelog
* Sun May 17 2009 immerda project group <admin+rpm@immerda.ch>
- Version: 0.75-2
- fixed path issues

* Wed Jan 4 2006 Blair Lowe <comedownhere@compeng.net>
- Version: 0.75-1
- first time packaged

